import fs from 'fs'
import { runner } from '../core/runner.mjs'

try {
  fs.rmSync(util.getPathFromRoot('./db.json'))
} catch {}

runner(import.meta.url, {
  name: 'test-runner',
  testapp: {
    port: 31313,
    provider: 'git',
    url: 'http://localhost:61412/releases',
    updateEvery: 0.014,
    heartbeatTimeout: 500,
    heartbeatAttempts: 2,
    heartbeatAttemptsWait: 250,
  }
}, 'db.json')
.then(
  function(core) {
    core.log.info('core is running')
  },
  function(err) {
    runner.log.error(err, 'Error starting runner')
    process.exit(1)
  }
)
